GET /structured-content/content-types/{content_type_id}/managed-migrations
1 min
GET
https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations
Path Parameters
- content_type_idstringrequiredExampleDescription
Query Parameters
- content_migration_summarybooleanExampleDescriptionDefaultfalse
- offsetintegerExampleDescriptionDefault0Minimum0
- limitintegerExampleDescriptionDefault100Minimum1
Responses
200
- SCContentTypeManagedMigrationResponse[]
- idstringDescription
- instance_idstringDescription
- content_type_idstringDescription
- source_content_type_version_idstringDescription
- target_content_type_version_idstringDescription
- default_valuesobjectDescription
- statusstring<not_started | in_progress | success | error>DescriptionAllowednot_startedin_progresssuccesserror
- created_atstring<date-time>ExampleDescriptionFormatdate-time
- updated_atstringExampleDescription
- content_migration_summaryContentMigrationSummary
- totalintegerDescription
- not_startedintegerDescription
- succeededintegerDescription
- erroredintegerDescription
- skippedintegerDescription
curl
curl --request GET \
--url 'https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/structured-content/content-types/{content_type_id}/managed-migrations?content_migration_summary=true&offset=10&limit=100"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// List of managed migration jobs for the content type.
[
{
"id": "",
"instance_id": "",
"content_type_id": "",
"source_content_type_version_id": "",
"target_content_type_version_id": "",
"default_values": {},
"status": "",
"created_at": "2019-10-06T13:15:30Z",
"updated_at": "2019-10-06T13:15:30Z",
"content_migration_summary": {
"total": 0,
"not_started": 0,
"succeeded": 0,
"errored": 0,
"skipped": 0
}
}
]